package edu.travel.model;

import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import java.io.Serializable;

/**
 * PageDto 类。
 * <p>
 * 描述：分页参数
 *
 * @author huangwenwen
 * @date 2025/2/10
 */

@Data
public class PageDto implements Serializable {

    private static final long serialVersionUID = 1L;
//    @NotNull(message = "当前页码不能为空")
    @Min(value = 1, message = "最小值为1")
    private Integer pageNum = 1;
//    @NotNull(message = "每页显示条数不能为空")
    @Min(value = 1, message = "最小值为1")
    @Max(value = 100, message = "最大值为100")
    private Integer pageSize = 10;
}
