package edu.travel.commodity.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;

import edu.travel.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 地址表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "shop_address")
public class ShopAddress extends BaseEntity {
    /**
     * 收货地址ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 用户ID
     */
    @TableField(value = "user_id")
    private Long userId;

    /**
     * 国家id
     */
    @TableField(value = "country_id")
    private Long countryId;

    /**
     * 经度
     */
    @TableField(value = "longitude")
    private String longitude;

    /**
     * 维度
     */
    @TableField(value = "latitude")
    private String latitude;

    /**
     * 收货人名称
     */
    @TableField(value = "recipient_name")
    private String recipientName;

    /**
     * 收货人电话
     */
    @TableField(value = "phone")
    private String phone;

    /**
     * 详细地址
     */
    @TableField(value = "detailed_address")
    private String detailedAddress;

    /**
     * 是否默认地址 0是 1否
     */
    @TableField(value = "is_default")
    private Integer isDefault;

    /**
     * 系统标识
     */
    @TableField(value = "project")
    private String project;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    private Date createTime;

    /**
     * 创建人
     */
    @TableField(value = "create_user_id")
    private String createUserId;

    /**
     * 更新时间
     */
    @TableField(value = "update_time")
    private Date updateTime;

    /**
     * 更新人id
     */
    @TableField(value = "update_user_id")
    private String updateUserId;

    /**
     * 删除标记 0正常 1删除
     */
    @TableField(value = "delete_flag")
    private Integer deleteFlag;
}