package edu.travel.commodity.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;

import edu.travel.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 意见表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "shop_opinion")
public class ShopOpinion extends BaseEntity {
    /**
     * 意见类型ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 国家id
     */
    @TableField(value = "country_id")
    private Long countryId;

    /**
     * 意见类型id
     */
    @TableField(value = "type_id")
    private Long typeId;

    /**
     * 描述
     */
    @TableField(value = "description")
    private String description;

    /**
     * 创建人id
     */
    @TableField(value = "create_user_id")
    private String createUserId;

    /**
     * 更新人id
     */
    @TableField(value = "update_user_id")
    private String updateUserId;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    private Date createTime;

    /**
     * 更新时间
     */
    @TableField(value = "update_time")
    private Date updateTime;

    /**
     * 意见处理,默认0,0未处理,1已处理
     */
    @TableField(value = "`state`")
    private Integer state;

    /**
     * 删除标记 0正常 1删除
     */
    @TableField(value = "delete_flag")
    private Integer deleteFlag;

    /**
     * 项目
     */
    @TableField(value = "project")
    private String project;
}