package edu.travel.commodity.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;

import edu.travel.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 列表搜索记录表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "shop_search_records")
public class ShopSearchRecords extends BaseEntity {
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 国家id
     */
    @TableField(value = "country_id")
    private Long countryId;

    /**
     * 搜索关键词
     */
    @TableField(value = "search_keyword")
    private String searchKeyword;

    /**
     * 搜索次数
     */
    @TableField(value = "search_count")
    private Integer searchCount;

    /**
     * 搜索源
     */
    @TableField(value = "search_type")
    private Integer searchType;

    /**
     * 搜索时间
     */
    @TableField(value = "search_time")
    private Date searchTime;

    /**
     * 系统标识
     */
    @TableField(value = "project")
    private String project;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    private Date createTime;

    /**
     * 创建人
     */
    @TableField(value = "create_user_id")
    private String createUserId;

    /**
     * 更新时间
     */
    @TableField(value = "update_time")
    private Date updateTime;

    /**
     * 更新人id
     */
    @TableField(value = "update_user_id")
    private String updateUserId;

    /**
     * 删除标记 0正常 1删除
     */
    @TableField(value = "delete_flag")
    private Integer deleteFlag;
}